/******************************************************************/
/*                                                                */
/*                    Reading Citibase Data                       */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: loaddata.g
** created:  08/23/99
*/

/* Time series 
** Quarterly Data from 1954:2 to 2001:4
*/

#include dsgespec.g
#include pathspec.g

if datasel==1;
load path= ^datapath data_q[191,2]="Dataset1.asc";
gdpq_cl   = data_q[.,1];
blsh_cl   = data_q[.,2];
elseif datasel==2;
load path= ^datapath data_q[191,2]="Dataset2.asc";
gdpq_cl=data_q[.,1]; 
blsh_cl=data_q[.,2]; 
elseif datasel==3;
load path= ^datapath data_q[191,2]="Dataset3.asc"; 
gdpq_cl=data_q[.,1]; 
blsh_cl=data_q[.,2]; 
endif; 

series=data_q;

if subT==1; 
series=series[1:175,.]; 
endif; 

nobs = rows(series); 


nvar  = 2;               /* number of dependent vars        */
nlags = 4;               /* number of lags                  */
T0    = 19;              /* number of obs to initialize prior and lags in VAR */

/* For the estimation of Bayesian VAR, comment out the last two lines*/ 

series=series[T0+1:nobs,.];   
nobs=rows(series);          

 
